Description

By default, a new note or time-value layer resulting from a transform application has its vertical scale set to "auto-align". This should (I
thought?) mean that a vertical scale was displayed if there was no layer beneath it that it should be aligned with. But that doesn't seem
to be the case -- instead no vertical scale appears unless we change the scale to linear or log.

Check this against older versions and consider fixing.

History
#1 - 2018-07-04 11:03 AM - Chris Cannam

Turns out it was never the case that a scale would be drawn in an Auto-Align layer.

If there is a layer beneath it with the same unit, then that layer's scale is used to position the events themselves vertically. If there isn't, the extents
come from the layer itself, but it still doesn't draw a scale.

That is, getValueExtents still works for an auto-align layer, so it will be used as the source of the vertical coordinate mapping in the absence of a layer
that returns true from getDisplayExtents elsewhere in the view. But getDisplayExtents never returns true itself from an auto-align layer and, currently, 
getVerticalScaleWidth always returns zero as well.

#2 - 2018-07-17 01:58 PM - Chris Cannam

Fixed in commit:20f9651242e2

#3 - 2018-07-17 01:58 PM - Chris Cannam
- Status changed from New to Closed
